Skip to main content
GET
Get a deposit

Path Parameters

deposit_id
string<uuid>
required

The deposit ID.

Response

The request has succeeded.

id
string<uuid>
required

Unique deposit identifier.

account_id
string<uuid>
required

Account receiving the deposit.

chain_id
integer<int32>
required

Numeric blockchain network ID.

safe_address
string
required

Account funding address that received the tokens.

token
string
required

Token contract address.

token_name
string
required

Human-readable token name.

amount
string
required

Amount in the token's smallest unit.

from_address
string
required

Address that sent the tokens.

tx_hash
string
required

Blockchain transaction hash.

block_number
integer<int64>
required

Block number containing the transaction.

status
enum<string>
required

Current deposit status.

Available options:
pending,
approved,
rejected
created_at
string<date-time>
required

When the deposit was first recorded.

updated_at
string<date-time>
required

When the deposit was last updated.

kyt_breakdown
object | null
required

Deposit screening result. Null while screening is still pending.